Package org.kie.internal.runtime.error

## Interface ExecutionErrorStorage

-     public interface ExecutionErrorStorage

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `acknowledge​(java.lang.String user, java.lang.String... errorId)` |
    `ExecutionError` | `get​(java.lang.String errorId)` |
    `java.util.List<ExecutionError>` | `list​(java.lang.Integer page, java.lang.Integer pageSize)` |
    `java.util.List<ExecutionError>` | `listByActivity​(java.lang.String activityName, java.lang.Integer page, java.lang.Integer pageSize)` |
    `java.util.List<ExecutionError>` | `listByDeployment​(java.lang.String deploymentId, java.lang.Integer page, java.lang.Integer pageSize)` |
    `java.util.List<ExecutionError>` | `listByProcessInstance​(java.lang.String processInstanceId, java.lang.Integer page, java.lang.Integer pageSize)` |
    `ExecutionError` | `store​(ExecutionError error)` |

- - ### Method Detail

    - #### store

          ExecutionError store​(ExecutionError error)

    - #### get

          ExecutionError get​(java.lang.String errorId)

    - #### acknowledge

          void acknowledge​(java.lang.String user,
                           java.lang.String... errorId)

    - #### list

          java.util.List<ExecutionError> list​(java.lang.Integer page,
                                              java.lang.Integer pageSize)

    - #### listByProcessInstance

          java.util.List<ExecutionError> listByProcessInstance​(java.lang.String processInstanceId,
                                                               java.lang.Integer page,
                                                               java.lang.Integer pageSize)

    - #### listByActivity

          java.util.List<ExecutionError> listByActivity​(java.lang.String activityName,
                                                        java.lang.Integer page,
                                                        java.lang.Integer pageSize)

    - #### listByDeployment

          java.util.List<ExecutionError> listByDeployment​(java.lang.String deploymentId,
                                                          java.lang.Integer page,
                                                          java.lang.Integer pageSize)